This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 489113 - AVC Denail with /var/tmp and openswan ipsec service
AVC Denail with /var/tmp and openswan ipsec service
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
http://fpaste.org/paste/5371
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 14:14 EST by Christopher Stone
Modified: 2010-04-19 11:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-19 11:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Alert Text (2.52 KB, text/plain)
2009-03-07 14:18 EST, Christopher Stone
no flags Details

  None (edit)
Description Christopher Stone 2009-03-07 14:14:21 EST
Description of problem:
I get an AVC denial when I try to start the ipsec service after performing a yum install openswan.

http://fpaste.org/paste/5371

Steps to Reproduce:
1. yum install openswan
2. servce ipsec restart


Additional info:
# find / -inum 17776668 -print
/var/tmp
Comment 1 Christopher Stone 2009-03-07 14:18:01 EST
Created attachment 334408 [details]
Alert Text

Alert text as an attachment.
Comment 2 Daniel Walsh 2009-03-09 10:18:37 EDT
Why is openswan using /var/tmp?

If it needs to use temporary files it should be using /var/run/

/var/racoon(/.*)?                       gen_context(system_u:object_r:ipsec_var_
run_t,s0)

/var/run/pluto(/.*)?                    gen_context(system_u:object_r:ipsec_var_
run_t,s0)
Comment 3 Bug Zapper 2009-06-09 07:59:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Avesh Agarwal 2010-04-19 11:46:44 EDT
This is tested in the latest Openswan verison, and the issue does not appear
now. So I am closing this, and please reopen if you see this issue again.
Thanks for reporting the issue.

Note You need to log in before you can comment on or make changes to this bug.